Subject: [bug#47693] [PATCH]: Use 'cc-for-target'.

From: Maxime Devos <[email-masked]>
Date: Thu, 22 Apr 2021 18:44:27 +0200

Tobias Geerinckx-Rice via Guix-patches via schreef op do 22-04-2021 om 01:40 [+0200]:
> Maxime,
> 
> Thanks for this series!
> 
> I applied it by downloading from the first top-right ‘Download’ 
> link and using ‘git am --patch-format mbox /tmp/47693-0.mbox’.  It 
> works to apply all changes, but combines them all into a single 
> commit.

Can you download each patch separately, say as

  download-dir/0001-first.patch
  download-dir/0001-second.patch
  ...

and run "git am download-dir/*.patch"?
Ideally, "git am --patch-format mbox ..." would ‘just work’ though ...

> If anyone knows how to apply whole mboxes from the archives, as 
> separate commits, please let me know.  I'll push it as soon as I 
> learn how!

Alternatively, you could fetch from my public repo
(branch: cc-for-target, current latest commit: 49ac49daca37f975527f2c2f756f719bd55d47ff,
url: https://notabug.org/mdevos/guix).  (You'll need to rebase and sign the commits
yourself instead of doing a mergo, I am not in .guix-authorizations.)

IIRC, I have not yet sent the latest commits to the latest mailing list though,
and it also contains a separate commit ‘lint: Add 'compiler-for-target' checker.’.

> One very minor correction:
> 
> > An exception is xssproxy, which needs to be rebuilt,
> > due to nested usage ofquasiquote / unquote.
> 
> There are two: ‘nethogs’ is the other.
Ok.

> Both are cheap (C <3 U) leaf packages.  I don't think it worth 
> working around either.
Agreed.

Greetings,
Maxime.